%define module	Text-Glob
%define name	perl-%{module}
%define version	0.06
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Match globbing patterns against text
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/R/RC/RCLAMP/%{module}-%{version}.tar.bz2
Url:		http://www.cpan.org
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-root

%description
Text::Glob implements glob(3) style matching that can be used to match against
text, rather than fetching names from a filesystem. If you want to do full file
globbing use the File::Glob module instead.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make
%make test

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}
%{_mandir}/*/*

%changelog
* Fri Jul 23 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.06-2mdk 
- rpmbuildupdate aware
- fix summary capitalization

* Tue Mar 30 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.06-1mdk
- first mdk release
